# Glib::RWLock::ReaderLock Class Reference
[Threads]

Utility class for exception-safe locking of read/write locks. More...

Collaboration diagram for Glib::RWLock::ReaderLock:
[legend]

List of all members.

## Public Member Functions

| ReaderLock (RWLock& rwlock)
| ReaderLock (RWLock& rwlock, NotLock)
| ReaderLock (RWLock& rwlock, TryLock)
| ~ReaderLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

## Constructor & Destructor Documentation

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock | ) | `[inline, explicit]`

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | NotLock |  |
| ) |  |  | `[inline]`

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | TryLock |  |
| ) |  |  | `[inline]`

Glib::RWLock::ReaderLock::~ReaderLock | ( |  | ) | `[inline]`

## Member Function Documentation

void Glib::RWLock::ReaderLock::acquire | ( |  | ) | `[inline]`

bool Glib::RWLock::ReaderLock::locked | ( |  | ) | const`[inline]`

void Glib::RWLock::ReaderLock::release | ( |  | ) | `[inline]`

bool Glib::RWLock::ReaderLock::try_acquire | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- glibmm/thread.h